Check-in
curl --request POST \
--url https://cert.trustedform.com/{cert_id}/check_in \
--header 'Content-Type: application/json' \
--data '"<unknown>"'import requests
url = "https://cert.trustedform.com/{cert_id}/check_in"
payload = "<unknown>"
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify('<unknown>')
};
fetch('https://cert.trustedform.com/{cert_id}/check_in', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{}{
"errors": {
"detail": "Malformed certificate id"
},
"message": "Malformed certificate id",
"outcome": "error",
"reason": "Malformed certificate id"
}{
"errors": {
"detail": "Unauthorized"
},
"message": "Unauthorized",
"outcome": "error",
"reason": "Unauthorized"
}{
"outcome": "error",
"reason": "TrustedForm certificate has expired or could not be found"
}TrustedForm Certificate Check-in
Check-in
Check-in supports various actions for a TrustedForm Certificate (e.g. extending the claim period on certificates).
Failing to make the authenticated API call within the standard claim period (72 hours of generating the lead) will result in the irretrievable deletion of the certificate.
POST
/
{cert_id}
/
check_in
Check-in
Path Parameters
Certificate ID
Body
application/json
WebCert Parameters
Check-in supports various actions for a TrustedForm Certificate (e.g. extending the claim period on certificates).
Failing to make the authenticated API call within the standard claim period (72 hours of generating the lead) will result in the irretrievable deletion of the certificate.
Response
Success
Returns an empty object on success
⌘I